Company logoTrust Center Documentation
API v1 ReferenceCategoriesId

Update a category

Partially update a tenant-owned custom category. Supplied language codes are merged and missing languages are preserved. Built-in global categories cannot be…

PATCH
/api/v1/categories/{id}

Partially update a tenant-owned custom category. Supplied language codes are merged and missing languages are preserved. Built-in global categories cannot be changed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/categories/cat-123" \  -H "Content-Type: application/json" \  -d '{    "title": "Security Questionnaires",    "translations": [      {        "languages_code": "de-DE",        "title": "Sicherheitsfragebögen"      }    ]  }'
{  "success": true,  "data": {    "category": {      "id": "string",      "title": "string",      "icon": "string",      "tenant": "string",      "translations": [        {          "id": "string",          "languages_code": "en-US",          "title": "string"        }      ]    }  }}

How is this guide?